import { defineStore } from 'pinia'

export const CommonStore = defineStore({
  id: 'common',
  state: () => ({
    hover_elmt: null
  }),
  getters: {
    
  },
  actions: {
    setHoverElmt(elmt) {
      // console.log(`setHoverElmt`, elmt);
      // mode can be : terraindevie, proximite, superposition, puissancedagir, action, doleancer
      this.hover_elmt = elmt;
    }
  }
})